/*
	Feedback.css
	2017-01-05 TW Updated to remove max-width so contact form
	would be inline with the title
*/



.feedback-title { color: #ffffff; }
.feedback-text {  color: #dedede; }

/* .feedback-action, .infowindow-action, .infowindow-action  */
.feedback-action-secondary { color: #cccccc; }
.feedback-action-secondary:hover { color:#ffffff; }


.infowindow-title { color: #ffffff; }
.infowindow-content h1 { color:#d3a01f; }
.infowindow-content {  color: #dedede; } 

.infowindow-content .window-content h2,
.infowindow-content .window-content p {
	color: #dedede;
}
/**/
.infowindow-content .page-action-label {
    color: #dedede;
}

.infowindow-content .help-block { color: #dedede; }



.infowindow-content .has-error p,
.infowindow-content .has-error .help-block { color: #a94442; }









/* Confirmation & Alerts */
.feedback-container { /* The div that shows/hides. */
    display:none; /* starts out hidden */
    z-index:40001; /* High z-index to ensure it appears above all content */
}
.feedback-overlay { /* Shades out background when selector is active */
	position:fixed;
    width:100%;
    height:100%;
    background-color:#000000;
	-moz-opacity: 0.5;
	opacity: 0.5;
	filter: alpha(opacity=5);
    z-index:40001;
}

.feedback-inner {
 	display: table; 
	position:fixed;
    width:100%;
    height:100%;
	z-index:40002;		
}

.feedback-vertical-center { 
    width:100%;
    z-index:40002; /* ensures box appears above overlay */
    display: table-cell;
    vertical-align: middle;	
}


.feedback-box { 
	/* The actual box */
   	width:320px;
    position:relative;
    margin:0 auto;
    background-color:#29354a;
    border:1px solid #999999;
}

.feedback-title { 
	width: 100%;
	text-align:center;
	font-family: 'Century Gothic', Arial;
	font-size: 18px;
	font-weight: normal;
	background-color: #455062;	
	letter-spacing: 0.3px;
	white-space: nowrap;
  	text-overflow: ellipsis;
	padding-top: 8px;
	padding-bottom: 6px;
}
.feedback-text { 
	padding-top: 4%;
	padding-left: 8%;
	padding-right: 8%;
	padding-bottom: 8%;
	width: 92%;
	font-family: Arial;
	font-size: 15px;
	line-height: 20px;
	min-height: 50px;
	max-height: 150px;
	overflow:auto;
}
.feedback-action { 
	margin: 0 auto;
	padding: 10px 5px 10px 5px;
	border-top: 1px solid #455062;
	min-height: 32px; /* Updated June 9, 2015 */
	text-align: right;
}

.feedback-action .feedback-action-primary { 
	margin-right: 5px; 
	display:inline-block;
	min-width: 75px;
} 

.feedback-action .feedback-action-secondary,
.infowindow-action .feedback-action-secondary {  
	margin-right: 15px; 
	display:inline-block;
	background-color: transparent!important; 
	text-decoration: underline;
	cursor: pointer;
	margin-top: 8px;
	font-size: 15px;
} 

.infowindow-action .feedback-action-secondary {
	margin-left: 10px;
}


.feedback-action-alert {
    text-align: center;
}





@media screen and (max-width: 769px) {
	.feedback-box { 
		width: 90%;
		max-width: 300px; 
		min-width: 300px;
	}
	.feedbac-title { 
		font-size: 16px;
	}
	
	.feedback-action .feedback-action-primary { margin-right: 10px; } 
	.feedback-action .feedback-action-secondary { margin-top: 0px; font-size: 14px; } 
	.es_primary span,
	.feedback-action-secondary span {
		font-size: 14px;
		height: 30px;
		line-height:30px;
		margin-top:0px;
	}
	
}







/** Info Window **/

.infowindow { /* The div that shows/hides. */ 
	display:none; /* starts out hidden */ 
	z-index: 40001; /* High z-index to ensure it appears above all content */ 
} 



.infowindow-wrapper,
.infowindow-wrapper-absolute {
	top: 0;
	width:100%; 
	height:100%;
	background-color: rgba(57,69,89,0.95);
	/*background-color: rgba(255,255,255,0.95);*/
	z-index: 40001; 	
}
.infowindow-wrapper { /* Shades out background when selector is active */ 
	position:fixed;
    left: 0;
}
.infowindow-wrapper-absolute { /* Shades out background when selector is active */ 
	position:absolute!important; /* This must be done */
}



.infowindow-scroll {
	overflow-y: auto; /* Allow our content to scroll */	
	width: 100%;
	height: 90%;
	z-index: 40002; /* ensures box appears above overlay */ 
}


.infowindow-content { 
	/*max-width: 1160px; */
    margin:0 auto; /* Everything below is just visual styling */
}



.infowindow-title-wrapper { 
/*		max-width: 1200px;
	margin:0 auto; 
	max-height: 60px;
	
	display: table; 
	width: 100%;	*/
	padding-top: 10px;
	padding-bottom: 10px; 
	border-bottom: solid 1px #666666; 
}

.infowindow-title {
	/*padding-left: 20px;*/
    font-family: 'Century Gothic', Arial;
	font-size: 28px;
	font-weight: normal;
	/*display:table-cell;
	vertical-align:middle;*/
}

.infowindow-close { 
	z-index: 40003; 
	background: url('../Images/es_close_48.png') no-repeat center center;
	width: 60px;
	height: 48px;
	cursor:pointer;
	/*display:table-cell;*/
} 
.infowindow-close:hover { background: url('../Images/es_close_48_hover.png') no-repeat center center; } /* UDPATED JULY 12 TO AVOID FLICKER */



.infowindow-content { /* The actual box, centered in the fixed-position div */ 
	position: relative;	/**/
	z-index: 40002; /* ensures box appears above overlay */ 
	padding-top: 15px;  /* TRANSITION NOTE: Updated for templates */
} 

.infowindow-action {
	text-align: left;
	padding: 10px 0px 10px 0px;
	margin-top: 30px;
}

	
.add_scroll {
	overflow-y:scroll;
}



@media screen and (max-width: 769px) {
	

	.infowindow-scroll {
		overflow-y: auto; /* Allow our content to scroll */	
		height: 100%; 
	}

	.infowindow-title {
		padding-left: 10px;
		font-size: 22px;
	}

	.infowindow-close { 
		background: url('../Images/es_close_32.png') no-repeat center center;
		width: 52px;
		height: 32px;
	}
	.infowindow-close:hover { background-image: url('../Images/es_close_32_hover.png'); }


	.infowindow-content {	
		padding-top: 15px; 		
	}

    .infowindow-content .page-actions {
        margin-bottom: 20px;
    }

}








/* Overrides for Informaiton Window content */




.infowindow-content .window-content {
	padding-left: 0 !important;
    padding-right: 0 !important;
    /*width: 100%;*/
	overflow:visible; /* Need to overide so popup content is not cut off */
}



.infowindow-content h1 {
	font-family: "Century Gothic","Lucida Sans Unicode", "Lucida Grande", sans-serif;
	font-weight:bold;
	font-size:22px; 
	padding: 0px 0px 10px 0px;
}

.infowindow-content h2 {
	font-size: 16px;
	margin: 15px 0px 5px 0px;
}



.infowindow-content .content-border {
	border: solid 1px #ccc;
}


.infowindow-content .has-error .control-label, .infowindow-content .has-error .drs-help-block, .infowindow-content .has-error .textarea-length-warn {
    color: #d89c1d;
}

.infowindow-content .drs-mailcheck {
    color: #dedede;
}


.infowindow-content .textarea-warning-over { color: #a94442; }
.infowindow-content .textarea-warning-under { color: #dedede; }





/********************************************/
/* Session styles 							*/
/* - Belmar extracted from ES				*/
.drs_timer {
	line-height:1.3em;
	margin: 8px 0px 20px 0px;
	font-size: 17px;
    text-align: center;
    font-weight: bold;
}